Subject: Re: [bug#55227] [PATCH core-updates 0/8] The Full Source Bootstrap

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 16 May 2022 00:58:23 -0400

Hi Jan,

"Jan (janneke) Nieuwenhuizen" <[email-masked]> writes:

> About a year ago we cheered something like:  WE DID IT!!!
>
> Today I am very excited to finally have released GNU Mes 0.24 which supports
> the Full Source Bootstrap.  So we did what?  As Carl Dong once so eloquently
> put it
>
>    The holy grail of bootstrappability will be connecting mes to hex0
>
> which is exactly what this patch series brings.
>
> Starting from an 357-byte hex0 provided by the new bootstrap-seeds package,
> the new stage0-posix package builds hex0, kaem, hex1, catm, hex2, M0, cc_x86,
> M1, M2, get_machine, (mescc-tools), and M2-Planet.  The 0.24 release of Mes
> can now be built using this M2-Planet.
>
> This means that the bootstrap binaries that were added as part of the Reduced
> Binary Seed Bootstrap (see
> https://guix.gnu.org/blog/2020/guix-further-reduces-bootstrap-seed-to-25):
> %bootstrap-mescc-tools, %bootstrap-mes, are now removed again.
>
> Greetings,
> Janneke
>
>
> Jan (janneke) Nieuwenhuizen (8):
>   commencement: Add bootstrap-seeds.
>   commencement: Add stage0-posix.
>   commencement: mes-boot: Update to 0.24, build with M2-Planet.
>   commencement: tcc-boot0: Use NYACC-1.00.2.
>   commencement: tcc-boot0: Update to 0.9.26-1136-g0fbeb2dd.
>   bootstrap: Remove %bootstrap-mescc-tools, %bootstrap-mes.
>   commencement: Remove %bootstrap-mes-rewired.
>   doc: Add the "Full Source Bootstrap".

Woohoo!  Thank you for dedicating lots of your energy to this noble
cause! :-) I'll try to enjoy the finer details when I have a chance
but... a blog post could be nice to shine a light on this amazing
achievement!

Thank you, and happy continuation!

Maxim